Index: /trunk/libf/phytitan/write_histmth.h
===================================================================
--- /trunk/libf/phytitan/write_histmth.h	(revision 96)
+++ /trunk/libf/phytitan/write_histmth.h	(revision 97)
@@ -4,7 +4,5 @@
       ndex3d = 0
       zx_tmp_2d = 0.
-      z4_tmp_2d = 0.
       zx_tmp_3d = 0.
-      z4_tmp_3d = 0.
       zx_tmp_fi2d=0.
       zx_tmp_fi3d=0.
@@ -20,24 +18,21 @@
 c
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,pphis,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"phis",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"phis",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 C
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"aire",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"aire",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 ccccccc axe Ls
       do j=1,jjmp1
        do i=1,iim
-        z4_tmp_2d(i,j)=zls*180./RPI      ! zls est en radians !!
+        zx_tmp_2d(i,j)=zls*180./RPI      ! zls est en radians !!
        enddo
       enddo
-      CALL histwrite(nid_mth,"ls",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"ls",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 ccccccccccccc 2D fields, variables
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ftsol,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"tsol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"tsol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       DO i = 1, klon
@@ -45,14 +40,11 @@
       ENDDO
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"psol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"psol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ue,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"ue",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"ue",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ve,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"ve",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"ve",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.1
@@ -64,51 +56,42 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, t_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"temp",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"temp",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, pplay, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"pres",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"pres",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, zphi, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"geop",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"geop",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, u_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"vitu",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"vitu",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, v_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"vitv",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"vitv",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, omega, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"vitw",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"vitw",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, topsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"tops",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"tops",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
          if (iflag_trac.eq.1) THEN
           if (microfi.eq.1) then
-           DO iq=1,nmicro
-       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qaer(1,1,iq), zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_mth,tname(iq),itau_w,z4_tmp_3d,
-     .                                   iim*jjmp1*klev,ndex3d)
-           ENDDO
-	  endif
-	  if (nmicro.lt.nqmax) then
+c          DO iq=1,nmicro
+c      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qaer(1,1,iq), zx_tmp_3d)
+c      CALL histwrite(nid_mth,tname(iq),itau_w,zx_tmp_3d,
+c    .                                   iim*jjmp1*klev,ndex3d)
+c          ENDDO
+c         endif
+          if (nmicro.lt.nqmax) then
            DO iq=nmicro+1,nqmax
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1,tr_seri(1,1,iq),zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_mth,tname(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_mth,tname(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
            ENDDO
@@ -116,6 +99,5 @@
 c          DO iq=nmicro+1,nqmax
 c      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,d_tr_mph(1,1,iq),zx_tmp_3d)
-c      z4_tmp_3d=zx_tmp_3d
-c      CALL histwrite(nid_mth,"c_"//tname(iq),itau_w,z4_tmp_3d,
+c      CALL histwrite(nid_mth,"c_"//tname(iq),itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c          ENDDO
@@ -133,14 +115,11 @@
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"topl",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"topl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, solsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"sols",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"sols",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"soll",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"soll",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c 3D
@@ -148,14 +127,47 @@
       zx_tmp_fi3d(1:klon,1:klev)=swnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"SWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"SWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=lwnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"LWnet",itau_w,z4_tmp_3d,
-     .                                   iim*jjmp1*klev,ndex3d)
-c
+      CALL histwrite(nid_mth,"LWnet",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c
+c 3D adding Tau and k  (31/08/10)
+c
+       do k=3,nspecv,5
+         do i=1,klon
+         do l=1,klev
+           t_tauhvd(i,j)=TAUHVD(i,klev-l+1,k)
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"thv"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       enddo      ! fin boucle nspecv
+
+       do k=3,nspecv,5
+         do i=1,klon
+         do l=1,klev
+         if(l.ne.klev)
+     s    t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
+     s    -TAUHVD(i,klev-l+1-1,k)
+
+          if(l.eq.klev)
+     s    t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
+
+         t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"khv"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       enddo      ! fin boucle nspecv
+
       ENDIF !lev_histmth.GE.3
 c
@@ -164,17 +176,14 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtdyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtdyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtphy",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtphy",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c K/s
       zx_tmp_fi3d(1:klon,1:klev)=d_t_vdf(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -182,6 +191,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=d_t_ajs(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -189,6 +197,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtswr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtswr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -196,27 +203,22 @@
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtlwr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtlwr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c K/s      
 c     zx_tmp_fi3d(1:klon,1:klev)=d_t_ec(1:klon,1:klev)
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"dtec",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"dtec",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_vdf, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"duvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"duvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dudyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dudyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_v_vdf, zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"dvvdf",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"dvvdf",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -228,20 +230,16 @@
 c
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxu , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_mth,"taux_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d) 
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d) 
 c      
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxv , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_mth,"tauy_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d)
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdrm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdrm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdrh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdrh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.5
Index: /trunk/libf/phyvenus/YOMCST.h
===================================================================
--- /trunk/libf/phyvenus/YOMCST.h	(revision 96)
+++ /trunk/libf/phyvenus/YOMCST.h	(revision 97)
@@ -1,4 +1,7 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/YOMCST.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
 !
 ! A1.0 Fundamental constants
@@ -7,9 +10,9 @@
       REAL RDAY,REA,REPSM,RSIYEA,RSIDAY,ROMEGA
 ! A1.1.bis Constantes concernant l'orbite de la Terre:
-      REAL R_ecc, R_peri, R_incl
+      REAL :: R_ecc, R_peri, R_incl
 ! A1.2 Geoide
       REAL RA,RG,R1SA
 ! A1.3 Radiation
-!     REAL RSIGMA,RI0
+!     REAL :: RSIGMA,RI0
       REAL RSIGMA
 ! A1.4 Thermodynamic gas phase
@@ -27,15 +30,9 @@
       REAL RALPD,RBETD,RGAMD
 !
-!    S      ,RSIGMA,RI0
-      COMMON/YOMCST/RPI   ,RCLUM ,RHPLA ,RKBOL ,RNAVO
-     S      ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA
-     s      ,R_ecc, R_peri, R_incl
-     S      ,RA    ,RG    ,R1SA
-     S      ,RSIGMA
-     S      ,R     ,RMD   ,RMV   ,RD    ,RV    ,RCPD
-     S      ,RCPV  ,RCVD  ,RCVV  ,RKAPPA,RETV
-     S      ,RCW   ,RCS
-     S      ,RLVTT ,RLSTT ,RLMLT ,RTT   ,RATM
-     S      ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS
-     S      ,RALPD ,RBETD ,RGAMD
-!    ------------------------------------------------------------------
+      COMMON/YOMCST/RPI ,RCLUM, RHPLA, RKBOL, RNAVO ,RDAY  ,REA         &
+     & ,REPSM ,RSIYEA,RSIDAY,ROMEGA , R_ecc, R_peri, R_incl,            &
+     & ,RA    ,RG ,R1SA                                                 &
+     & ,RSIGMA,R ,RMD   ,RMV   ,RD    ,RV    ,RCPD ,RCPV,RCVD           &
+     & ,RCVV  ,RKAPPA,RETV ,RCW   ,RCS ,RLVTT ,RLSTT ,RLMLT ,RTT ,RATM  &
+     & ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS ,RALPD ,RBETD   &
+     & ,RGAMD
Index: /trunk/libf/phyvenus/clcdrag.F90
===================================================================
--- /trunk/libf/phyvenus/clcdrag.F90	(revision 96)
+++ /trunk/libf/phyvenus/clcdrag.F90	(revision 97)
@@ -30,7 +30,6 @@
 ! ================================================================= c
 !
-#include "YOMCST.inc"
-#include "YOETHF.inc"
-#include "clesphys.inc"
+#include "YOMCST.h"
+#include "clesphys.h"
 !
 ! Quelques constantes et options:
Index: /trunk/libf/phyvenus/clesphys.h
===================================================================
--- /trunk/libf/phyvenus/clesphys.h	(revision 96)
+++ /trunk/libf/phyvenus/clesphys.h	(revision 97)
@@ -1,29 +1,26 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/clesphys.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
 !
-c..include cles_phys.h
-c
-       LOGICAL cycle_diurne,soil_model,new_oliq
+!
+!..include cles_phys.h
+!
+       LOGICAL cycle_diurne,soil_model
        LOGICAL ok_orodr,ok_orolf,ok_gw_nonoro
-       INTEGER nbapp_rad, iflag_con, iflag_ajs
+       INTEGER nbapp_rad, nbapp_chim, iflag_con, iflag_ajs
+       REAL    ecritphy
        REAL    solaire
-
-c Parametres pour PBL:
-       real z0,lmixmin
-       REAL ksta
+       REAL    z0, lmixmin
+       REAL    ksta, inertie
        LOGICAL ok_kzmin
-
-c surface
-       real inertie
-
-cIM lev_histhf  : niveau sorties 6h
-cIM lev_histday : niveau sorties journalieres
-cIM lev_histmth : niveau sorties mensuelles
        INTEGER lev_histhf, lev_histday, lev_histmth
 
-       COMMON/clesphys/cycle_diurne, soil_model, new_oliq,
-     ,     ok_orodr, ok_orolf, ok_gw_nonoro, 
-     ,     nbapp_rad, iflag_con
-     ,     , iflag_ajs, solaire, z0, lmixmin, ksta
-     ,     , ok_kzmin, lev_histhf, lev_histday, lev_histmth
-     ,     , inertie
+       COMMON/clesphys/cycle_diurne, soil_model,                        &
+     &     ok_orodr, ok_orolf, ok_gw_nonoro, nbapp_rad, nbapp_chim      &
+     &     , ecritphy                                                   &
+     &     , iflag_con, iflag_ajs, solaire, z0, lmixmin, ksta           &
+     &     , ok_kzmin, lev_histhf, lev_histday, lev_histmth             &
+     &     , inertie
+
Index: /trunk/libf/phyvenus/clmain.F
===================================================================
--- /trunk/libf/phyvenus/clmain.F	(revision 96)
+++ /trunk/libf/phyvenus/clmain.F	(revision 97)
@@ -134,6 +134,4 @@
 c
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
       REAL u1lay(klon), v1lay(klon)
       REAL delp(klon,klev)
@@ -499,6 +497,4 @@
 #include "dimphy.h"
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
 #include "dimsoil.h"
 #include "iniprint.h"
@@ -994,6 +990,4 @@
       PARAMETER (zxli=.FALSE.)
 c
-#include "YOETHF.h"
-#include "FCTTRE.h"
       fsta(x) = 1.0 / (1.0+10.0*x*(1+8.0*x))
       fins(x) = SQRT(1.0-18.0*x)
Index: /trunk/libf/phyvenus/clmain.classic
===================================================================
--- /trunk/libf/phyvenus/clmain.classic	(revision 96)
+++ /trunk/libf/phyvenus/clmain.classic	(revision 97)
@@ -134,6 +134,4 @@
 c
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
       REAL u1lay(klon), v1lay(klon)
       REAL delp(klon,klev)
@@ -499,6 +497,4 @@
 #include "dimphy.h"
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
 #include "dimsoil.h"
 #include "iniprint.h"
@@ -994,6 +990,4 @@
       PARAMETER (zxli=.FALSE.)
 c
-#include "YOETHF.h"
-#include "FCTTRE.h"
       fsta(x) = 1.0 / (1.0+10.0*x*(1+8.0*x))
       fins(x) = SQRT(1.0-18.0*x)
Index: /trunk/libf/phyvenus/clmain.simple
===================================================================
--- /trunk/libf/phyvenus/clmain.simple	(revision 96)
+++ /trunk/libf/phyvenus/clmain.simple	(revision 97)
@@ -128,6 +128,4 @@
 c
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
       REAL u1lay(klon), v1lay(klon)
       REAL delp(klon,klev)
@@ -370,6 +368,4 @@
 #include "dimphy.h"
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
 #include "dimsoil.h"
 #include "iniprint.h"
@@ -865,6 +861,4 @@
       PARAMETER (zxli=.FALSE.)
 c
-#include "YOETHF.h"
-#include "FCTTRE.h"
       fsta(x) = 1.0 / (1.0+10.0*x*(1+8.0*x))
       fins(x) = SQRT(1.0-18.0*x)
Index: /trunk/libf/phyvenus/conf_phys.F90
===================================================================
--- /trunk/libf/phyvenus/conf_phys.F90	(revision 96)
+++ /trunk/libf/phyvenus/conf_phys.F90	(revision 97)
@@ -11,16 +11,8 @@
    implicit none
 
-#include "YOMCST.inc"
-#include "clesphys.inc"
+#include "YOMCST.h"
+#include "clesphys.h"
 #include "compbl.h"
-!
-! Configuration de la "physique" de LMDZ a l'aide de la fonction
-! GETIN de IOIPSL
-!
-! LF 05/2001
-!
-!--- Ca lit le physiq.def ---
-
-!
+
 ! ok_journe:  sorties journalieres
 ! ok_mensuel: sorties mensuelles
@@ -34,6 +26,82 @@
 ! Local
   integer              :: numout = 6
-  real*4               :: zzz
-! real                 :: zzz
+
+!
+! Configuration de la "physique" de LMDZ a l'aide de la fonction
+! GETIN de IOIPSL
+!
+! LF 05/2001
+!
+!--- Ca lit le physiq.def ---
+
+!******************* parametres anciennement lus dans gcm.def
+
+!Config  Key  = cycle_diurne
+!Config  Desc = Cycle ddiurne
+!Config  Def  = y
+!Config  Help = Cette option permet d'eteidre le cycle diurne.
+!Config         Peut etre util pour accelerer le code !
+       cycle_diurne = .TRUE.
+       CALL getin('cycle_diurne',cycle_diurne)
+
+!Config  Key  = soil_model
+!Config  Desc = Modele de sol
+!Config  Def  = y
+!Config  Help = Choix du modele de sol (Thermique ?)
+!Config         Option qui pourait un string afin de pouvoir
+!Config         plus de choix ! Ou meme une liste d'options !
+       soil_model = .TRUE.
+       CALL getin('soil_model',soil_model)
+
+!Config  Key  = ok_orodr
+!Config  Desc = Oro drag
+!Config  Def  = y
+!Config  Help = GW drag orographie
+!Config         
+       ok_orodr = .TRUE.
+       CALL getin('ok_orodr',ok_orodr)
+
+!Config  Key  =  ok_orolf
+!Config  Desc = Oro lift
+!Config  Def  = n
+!Config  Help = GW lift orographie (pas utilise)
+       ok_orolf = .TRUE.
+       CALL getin('ok_orolf', ok_orolf)
+
+!Config  Key  = ok_gw_nonoro
+!Config  Desc = Gravity waves parameterization
+!Config  Def  = n
+!Config  Help = GW drag non-orographique
+       ok_gw_nonoro = .FALSE.
+       CALL getin('ok_gw_nonoro',ok_gw_nonoro)
+
+!Config  Key  = nbapp_rad
+!Config  Desc = Frequence d'appel au rayonnement
+!Config  Def  = 12
+!Config  Help = Nombre  d'appels des routines de rayonnements
+!Config         par jour.
+       nbapp_rad = 12
+       CALL getin('nbapp_rad',nbapp_rad)
+
+!Config  Key  = nbapp_chim
+!Config  Desc = Frequence d'appel a la chimie
+!Config  Def  = 1
+!Config  Help = Nombre  d'appels des routines de chimie
+!Config         par jour.
+       nbapp_chim = 1
+       CALL getin('nbapp_chim',nbapp_chim)
+
+!Config  Key  = iflag_con
+!Config  Desc = Flag de convection
+!Config  Def  = 0
+!Config  Help = Flag  pour la convection les options suivantes existent :
+!Config         0 : ajsec simple (VENUS, TITAN)
+!Config         1 pour LMD,
+!Config         2 pour Tiedtke,
+!Config         3 pour CCM(NCAR)  
+       iflag_con = 0
+       CALL getin('iflag_con',iflag_con)
+
+!******************* fin parametres anciennement lus dans gcm.def
 
 !Config Key  = OK_journe
@@ -63,4 +131,13 @@
   ok_instan = .false.
   call getin('OK_instan', ok_instan)
+!
+!Config  Key  = ecritphy
+!Config  Desc = Frequence d'ecriture dans histmth et histins
+!Config  Def  = 1
+!Config  Help = frequence de l'ecriture du fichier histmth et histins
+!Config         en jours.
+!
+       ecritphy = 1.
+       CALL getin('ecritphy', ecritphy)
 !
 !
@@ -83,7 +160,6 @@
 ! VENUS
 ! R_ecc = 0.006787
-  zzz   = 0.0
-  call getin('R_ecc', zzz)
-  R_ecc = zzz
+  R_ecc   = 0.0
+  call getin('R_ecc', R_ecc)
 !!
 !Config Key  = R_peri
@@ -93,7 +169,6 @@
 !               
 ! VENUS
-  zzz = 0.
-  call getin('R_peri', zzz)
-  R_peri = zzz
+  R_peri = 0.
+  call getin('R_peri', R_peri)
 !!
 !Config Key  = R_incl
@@ -103,7 +178,6 @@
 !               
 ! VENUS
-  zzz = 0.0
-  call getin('R_incl', zzz)
-  R_incl = zzz
+  R_incl = 0.0
+  call getin('R_incl', R_incl)
 !
 !Config Key  = solaire
@@ -113,7 +187,6 @@
 !Config Help = 
 !
-  zzz = 2620.
-    call getin('solaire', zzz)
-  solaire = zzz
+  solaire = 2620.
+    call getin('solaire', solaire)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -140,7 +213,6 @@
 !Config Help =
 !
-  zzz = 1.0e-7
-  call getin('ksta',zzz)
-  ksta = zzz
+  ksta = 1.0e-7
+  call getin('ksta',ksta)
 
 !
@@ -150,7 +222,6 @@
 !Config Help =
 !
-  zzz = 1.0e-2
-  call getin('z0',zzz)
-  z0 = zzz
+  z0 = 1.0e-2
+  call getin('z0',z0)
 
 !
@@ -160,9 +231,7 @@
 !Config Help =
 !
-  zzz = 35.
-  call getin('lmixmin',zzz)
-  lmixmin = zzz
-
-!
+  lmixmin = 35.
+  call getin('lmixmin',lmixmin)
+
 !
 !Config Key  = ok_kzmin
@@ -186,10 +255,9 @@
 !Config Key  = inertie
 !Config Desc =
-!Config Def  = 30000.
-!Config Help =
-!
-  zzz = 30000.
-  call getin('inertie',zzz)
-  inertie = zzz
+!Config Def  = 2000.
+!Config Help =
+!
+  inertie = 2000.
+  call getin('inertie',inertie)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -239,7 +307,16 @@
   write(numout,*)' ##############################################'
   write(numout,*)' Configuration des parametres de la physique: '
+  write(numout,*)' cycle_diurne = ', cycle_diurne
+  write(numout,*)' soil_model = ', soil_model
+  write(numout,*)' ok_orodr = ', ok_orodr
+  write(numout,*)' ok_orolf = ', ok_orolf
+  write(numout,*)' ok_gw_nonoro = ', ok_gw_nonoro
+  write(numout,*)' nbapp_rad = ', nbapp_rad
+  write(numout,*)' nbapp_chim = ', nbapp_chim
+  write(numout,*)' iflag_con = ', iflag_con
   write(numout,*)' Sortie journaliere = ', ok_journe
   write(numout,*)' Sortie mensuelle = ', ok_mensuel
   write(numout,*)' Sortie instantanee = ', ok_instan
+  write(numout,*)' frequence sorties = ', ecritphy  
   write(numout,*)' Sortie bilan d''energie, if_ebil =', if_ebil
   write(numout,*)' Excentricite = ',R_ecc
Index: /trunk/libf/phyvenus/diagphy.F
===================================================================
--- /trunk/libf/phyvenus/diagphy.F	(revision 96)
+++ /trunk/libf/phyvenus/diagphy.F	(revision 97)
@@ -7,4 +7,7 @@
      $    , d_etp_tot, d_qt_tot, d_ec_tot
      $    , fs_bound, fq_bound)
+
+! ATTENTION !! PAS DU TOUT A JOUR POUR VENUS OU TITAN...
+
 C======================================================================
 C
@@ -50,5 +53,4 @@
 #include "dimphy.h"
 #include "YOMCST.h"
-#include "YOETHF.h"
 C
 C     Input variables
@@ -211,5 +213,4 @@
 #include "dimphy.h"
 #include "YOMCST.h"
-#include "YOETHF.h"
 C
 c     Input variables
Index: /trunk/libf/phyvenus/ini_histday.h
===================================================================
--- /trunk/libf/phyvenus/ini_histday.h	(revision 96)
+++ /trunk/libf/phyvenus/ini_histday.h	(revision 97)
@@ -9,6 +9,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -18,13 +17,14 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 z4_lon = zx_lon
-	 z4_lat = zx_lat
-	 zpresnivs=presnivs
-         CALL histbeg("histday", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto, 
+
+c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
+c    d'ou le -1.* devant zx_lon et zx_lat	 
+         CALL histbeg("histday.nc", iim,-1.*zx_lon(:,1), jjmp1,
+     .                 -1.*zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto, 
      .                 nhori, nid_day)
          write(*,*)'Journee ', itau_phy, zjulian
          CALL histvert(nid_day, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
Index: /trunk/libf/phyvenus/ini_histins.h
===================================================================
--- /trunk/libf/phyvenus/ini_histins.h	(revision 96)
+++ /trunk/libf/phyvenus/ini_histins.h	(revision 97)
@@ -9,6 +9,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -18,13 +17,14 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 z4_lon = zx_lon
-	 z4_lat = zx_lat
-	 zpresnivs=presnivs
-         CALL histbeg("histins", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto1,
+	 
+c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
+c    d'ou le -1.* devant zx_lon et zx_lat	 
+         CALL histbeg("histins.nc", iim,-1.*zx_lon(:,1), jjmp1,
+     .                 -1.*zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto1,
      .                 nhori, nid_ins)
          write(*,*)'Inst ', itau_phy, zjulian
          CALL histvert(nid_ins, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
Index: /trunk/libf/phyvenus/ini_histmth.h
===================================================================
--- /trunk/libf/phyvenus/ini_histmth.h	(revision 96)
+++ /trunk/libf/phyvenus/ini_histmth.h	(revision 97)
@@ -14,6 +14,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -25,14 +24,12 @@
 	 
 c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-	 z4_lon = -1.*zx_lon
-	 z4_lat = -1.*zx_lat
-	 
-	 zpresnivs=presnivs
-         CALL histbeg("histmth.nc", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto, 
+c    d'ou le -1.* devant zx_lon et zx_lat	 
+         CALL histbeg("histmth.nc", iim,-1.*zx_lon(:,1), jjmp1,
+     .                 -1.*zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto, 
      .                 nhori, nid_mth)
          write(*,*)'Mensuel ', itau_phy, zjulian
          CALL histvert(nid_mth, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
Index: /trunk/libf/phyvenus/interface_surf.F90
===================================================================
--- /trunk/libf/phyvenus/interface_surf.F90	(revision 96)
+++ /trunk/libf/phyvenus/interface_surf.F90	(revision 97)
@@ -25,5 +25,5 @@
   END INTERFACE
 
-#include "YOMCST.inc"
+#include "YOMCST.h"
 
   CONTAINS
@@ -210,7 +210,4 @@
 !
 
-#include "YOETHF.inc"
-#include "FCTTRE.inc"
-
 ! Parametres d'entree
   integer, intent(IN) :: knon, klon
